cancel
Showing results for 
Search instead for 
Did you mean: 

2.1 update to current readiness failing, verified phpinfo

Highlighted
New Contributor

2.1 update to current readiness failing, verified phpinfo

I"m currently running version 2.1.0, and trying to update to the current version, but the readiness keeps failing. It tells me to increase memory_limit to 2G, so I created php.ini file and set the limit, I verified the limit in phpinfo. Now it's failing saying the memory is set at 128M and needs to be 756M. It's confirmed that the memory is 2G. So I attempted to upgrade via composer, I updated composer.json, and ran composer update. When all completed, and system was recompiled, version was still 2.1.0. HELP!

  • CE 2.1
2 REPLIES
1 x Certified

Re: 2.1 update to current readiness failing, verified phpinfo

@meckert

 

Can you confirm that you restarted your server after making the php.ini change? Secondly, maybe it's worth verifying that the memory settings have been applied to you php. To verify, create a php file in your Magento root directory i.e. phptest.php  and insert the following: 

<?php
phpinfo();
?>

Access the file in the browser i.e. http://mywebsite.com/phptest.php OR http://localhost/{magento_root}/phptest.php 

Magento Certified Solution Specialist | Lead Magento developer
If this response was helpful to you, consider giving kudos to this post
New Contributor

Re: 2.1 update to current readiness failing, verified phpinfo

I did confirm that the settings, I ended up having hosting increase the memory further to 4gb, and composer seemed to run then.